Skip to:
Content
Pages
Categories
Search
Top
Bottom

Plugin Upgrades


  • bingsterloot
    Member

    @bingsterloot

    Hi all

    Would it be possible for the coders in here to upgrade the most used plugins even though it is not made be them?. I am talking about some of CK´s, the rating plugin etc.

    Cheers

Viewing 6 replies - 1 through 6 (of 6 total)

  • kevinjohngallagher
    Member

    @kevinjohngallagher

    Hi there,

    This is someting bandied about every now and then. There are a few issues stopping this from happeneing

    1. A new version of BBpress is coming out soon
    2. Given BBpress’s track record, it might/will/possibly break all/most plugins
    3. Who should determine which are the most used plugins
    4. How do we know which ones work and don’t work

    _ck_ gave up a huge amount of time for BBpress, and in the end, did not get the same value back out of BBpress/Automattic/Community. Its hard, as a developer, to see what happened with _ck_ and want to go down that path until things are sorted out.

    I wouldn’t waste any time developing plug ins for a platform that I know is going to change in the near future, possibly breaking my plug-ins again

    -chrishajer

    Chris Hajer is one of, if not the, moderator around here, and a well respected cool calm person. Even Chris, who obviously shares our love for what BBpress could become, feels that plugin development right now would be a waste of time.

    If you have a specific bug with a plugin, come back and post it here. It might be a quick fix. But if you’re looking for “the coders here” to rewrite a bunch of plugins off our own backs, well, it ain’t too likely i’m afraid.

    Take care.


    citizenkeith
    Participant

    @citizenkeith

    The answer is simple, though probably not what you want to hear: stick with v0.9 if you want to use a lot of the great plugins here.


    chrishajer
    Participant

    @chrishajer

    Uh oh, I was quoted. I should watch what I say…


    NiceBlogger
    Member

    @niceblogger

    @citizenkeith : You’re right ! I agree with you …


    bingsterloot
    Member

    @bingsterloot

    hi all and thanks for your answers which were (not what i hoped for) but expected ;O) I know going back to v. 0.9 would solve most problems, but i have based everything on the latest build and i am quite happy with that. I will just have to wait and see where things is going :O)

    thanks


    Michael
    Member

    @michael888

    The way I see it: The new version of bbPress will have cleaner plugins – I’m sure most of them will (over time) be re-written to suit the needs of the new package.

    In my opinion, there are some essential plugins that have to work in the new version. I’m sure there are plenty of plugins that will work for bbPress 1.1, but maybe not 1.2, 1.5, and 2 as the infrastructure my change.

    But then again, who am I to say that – it’s just an assumption.

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.